<?php
 /**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright © Dł Data Development, Thomas Dartsch
 * @author    Dł Data Development - Daniel Seifert <ds@shopmodule.com>
 * @link      http://www.oxidmodule.com
 */

class d3_details_extsearch extends d3_details_extsearch_parent
{
    /**
     * @return array
     */
    public function getNavigationParams()
    {
        $aParams = parent::getNavigationParams();

        /** @var d3_ext_search $oSearch */
        $oSearch = oxNew('search');
        $aSearchParams = $oSearch->getNavigationParams();

        $aParams = array_merge($aSearchParams, $aParams);

        return $aParams;
    }
}
